Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231291 - Some picky udev issues that could be fixed/updated.
Summary: Some picky udev issues that could be fixed/updated.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: udev
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-07 15:00 UTC by Robert P. J. Day
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-24 10:28:54 UTC


Attachments (Terms of Use)

Description Robert P. J. Day 2007-03-07 15:00:53 UTC
1. The man page for "udevinfo" is incomplete, it doesn't mention "-V" (but
that's being pretty pedantic, i'll admit).

2. The man page for "udevcontrol" is incomplete, see "info udevcontrol" for
missing commands "reload_rules" and "max_childs".

3. The HTML doc page that comes with the udev package is slightly out of date, a
newer version can be found at:

http://www.reactivated.net/writing_udev_rules.html

4. The current udev package 0.97 still installs all of its online docs under
/usr/share/doc/udev-095, if that matters.

Comment 1 Harald Hoyer 2007-03-07 17:54:39 UTC
1.-3. I will report this upstream.

4. udev-095-17.fc6 is the latest for fc6 ... not udev-097

Comment 2 Robert P. J. Day 2007-03-07 18:01:41 UTC
whoops, my mistake on that last one, i must have just misread 095-17 as 097, sorry.

Comment 3 Robert P. J. Day 2007-03-07 18:47:17 UTC
I'm not sure if it's appropriate to add extra issues to an open bug report but,
what the heck, I suspect you can pass these upstream as well.  Typoes in "man udev":

(para 2) "... form the system" -> "... from the system."
(para 3) "Rules that match, may" -> "Rules that match may ..."
"configuraton" -> "configuration"
"assignement" -> "assignment"
"A rule may consists ..." -> "A rule may consist ..."
"Asign" -> "Assign"
"inport" -> "import"
"of of the file permissions" -> "of the file permissions"
"IDDRIVER" -> "ID, DRIVER"
"$minor %m" -> "$minor, %m"


Comment 4 Harald Hoyer 2007-03-08 11:29:39 UTC
adding udev maintainer to CC

Comment 5 Kay Sievers 2007-03-08 13:00:47 UTC
> The man page for "udevinfo" is incomplete, it doesn't mention "-V"

Added.

> The man page for "udevcontrol" is incomplete.

Already added in the current version.

> The HTML doc page that comes with the udev package is slightly out of date.

The one in the current udev tree is the latest.

> Typoes in "man udev"

Fixed.

Thanks a lot,
Kay


Note You need to log in before you can comment on or make changes to this bug.